### Method

# Gio MenuItem set_section

since: 2.32

#### Declaration [src]

    void
    g_menu_item_set_section (
      GMenuItem* menu_item,
      GMenuModel* section
    )

#### Description [src]

Sets or unsets the “section” link of `menu_item` to `section`.

The effect of having one menu appear as a section of another is exactly as it sounds: the items from `section` become a direct part of the menu that `menu_item` is added to. See `g_menu_item_new_section()` for more information about what it means for a menu item to be a section.

Available since: 2.32

#### Parameters

`section`

  Type: `GMenuModel`

  A `GMenuModel`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.